P1363_MGF1 Class Reference

P1363 mask generation function. More...

Inheritance diagram for P1363_MGF1:

## Public Member Functions

void | GenerateAndMask (HashTransformation &hash, byte *output, size_t outputLength, const byte *input, size_t inputLength, bool mask=true) const
| P1363 mask generation function. More...

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
| The algorithm name. More...

## Detailed Description

P1363 mask generation function.

See also
  P1363_KDF2, MaskGeneratingFunction

Since
  Crypto++ 2.0

Definition at line 718 of file pubkey.h.

## Member Function Documentation

## StaticAlgorithmName()

static const char* P1363_MGF1::StaticAlgorithmName | ( |  | ) |

inline static

The algorithm name.

Returns
  the algorithm name

StaticAlgorithmName returns the algorithm's name as a static member function.

Definition at line 725 of file pubkey.h.

## GenerateAndMask()

void P1363_MGF1::GenerateAndMask | ( | HashTransformation & | hash,
|  | byte * | output,
|  | size_t | outputLength,
|  | const byte * | input,
|  | size_t | inputLength,
|  | bool | mask = `true`
| ) |  | const

inline virtual

P1363 mask generation function.

Parameters

  hash | HashTransformation derived class
  output | the destination byte array
  outputLength | the size of the destination byte array
  input | the message to hash
  inputLength | the size of the message
  mask | flag indicating whether to apply the mask

Implements MaskGeneratingFunction.

Definition at line 734 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h